## gldeinterlace

gldeinterlace — Deinterlacing based on fragment shaders

## Synopsis

    struct              GstGLDeinterlace;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstGLFilter
                               +----GstGLDeinterlace

## Description

## Synopsis

### Element Information

plugin | opengl
author | Julien Isorce <julien.isorce@mail.com>
class | Deinterlace

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw-gl, width=(int)[ 1, 8000 ], height=(int)[ 1, 6000 ], pixel-aspect-ratio=(fraction)1/1, framerate=(fraction)[ 0/1, 100/1 ]

name | src
direction | source
presence | always
details | video/x-raw-gl, width=(int)[ 1, 8000 ], height=(int)[ 1, 6000 ], pixel-aspect-ratio=(fraction)1/1, framerate=(fraction)[ 0/1, 100/1 ]

## Details

### struct GstGLDeinterlace

    struct GstGLDeinterlace;